<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Introduction</title>
</head>
<body>	


	<h1>Software Engineering Code of ethics and Professional Practice</h1>


	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>


	<hr>

	<p>
	
		<strong>Keywords:</strong> code of ethics, professional responsibilty, software engineering

		<br>
		<br>

		<strong>PREAMBLE</strong>

		<br>
		<br>

		The short version of the code summarize aspirations at a high level of abstraction. the clauses that are include in the full version give examples and details of how these aspirations change the wa we act as software engineering profesionals. Without the aspirations, the details can become leagalistic and tendious; without the details, the aspirations can become high-soundng but empty; together the aspiration and the details from a cohesive code.

		<br>
		<br>	
		<strong>PRINCIPLES</strong>


	<ul>
		
		<ol>
			<li> <em>Public</em>. Software engineers shall act consistently with the public interest.</li>
			<li> <em>Client and employer</em>. Software engineers shall act in a manner that is in the best interests of their client and and employer, consistent with the public interest.</li>
			<li> <em>Product</em>. Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
			<li> <em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
			<li> <em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software developement and maintenance.</li>
			<li> <em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
			<li> <em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleages.</li>
			<li> <em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their professional and shall promote an ethical approach to the practice of the profeesion.</li>

	</ul>

</body>
</html>